Subject: Re: [PATCH net v2] bnxt_en: Fix NULL pointer crash in bnxt_ptp_enable during error cleanup

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 5 Jan 2026 14:27:16 +0000

On Mon, Jan 05, 2026 at 06:11:26AM -0800, Breno Leitao wrote:
> Hello Russell,
> 
> On Mon, Jan 05, 2026 at 01:29:40PM +0000, Russell King (Oracle) wrote:
> > On Mon, Jan 05, 2026 at 04:00:16AM -0800, Breno Leitao wrote:
> > My guess is that this has something to do with firmware, and maybe
> > upgrading it at runtime - so if the firmware gets upgraded to a
> > version that doesn't support PTP, the driver removes PTP. However,
> > can PTP be used while firmware is being upgraded, and what happens
> > if, e.g. bnxt_ptp_enable() were called mid-upgrade? Would that be
> > safe?
> 
> This crash happened at boot time, when the kernel was having another
> at DMA path, which was triggering this bug. There was no firmare upgrade
> at all. Just rebooting the machine with 6.19 was crashing everytime due
> to the early failure to initialize the driver.

Please read my email again. I wasn't questioning _when_ the problem you
were seeing was occuring. I was questioning the overall structural
quality of the driver, suggesting that there are further issues with it
around PTP.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!